Skip to content
Get Started

Set call forwarding for a line

PUT/api/lines/{sendblue_number}/call-forwarding

Sets a call forwarding number for a specific dedicated phone line. Inbound calls to this line will be forwarded to the specified number.

The forwarding_number is normalized to E.164 format before storage. US numbers can be supplied in local format (e.g. 2125550199).

Path ParametersExpand Collapse
sendblue_number: string
Body ParametersJSONExpand Collapse
forwarding_number: string

Phone number to forward calls to (E.164 or US local format)

ReturnsExpand Collapse
forwarding_number: string

The number calls are forwarded to, or null if not set

sendblue_number: string

The Sendblue phone number (E.164)

Set call forwarding for a line

curl https://api.sendblue.co/api/lines/$SENDBLUE_NUMBER/call-forwarding \
    -X PUT \
    -H 'Content-Type: application/json' \
    -H "sb-api-key-id: $SENDBLUE_API_API_KEY" \
    -H "sb-api-secret-key: $SENDBLUE_API_API_SECRET" \
    -d '{
          "forwarding_number": "+16692138010"
        }'
{
  "forwarding_number": "+16692138010",
  "sendblue_number": "+12125550101"
}
Returns Examples
{
  "forwarding_number": "+16692138010",
  "sendblue_number": "+12125550101"
}